# bento_support_widget

This is an flutter library for implementing bento support widget


### Getting Started
This library would help you add Bento Support widget to your hybrid android/ios application in no time. All you need to do is ...


### Install

To use this plugin, add `bento_support_widget` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).
```pub
dependencies:
  bento_support_widget: ^1.0.0
```

### Usage

```dart
                   initializeBentoSupport(
          context: context,
          publicKey: 'public key',
          onLogin: () {},
          key: 'unauthenticated',
          baseUrl: 'https://supportapi.bento.africa/api',
          child: Image.asset(
            'assets/img/png/chat_button.png',
            scale: 4,
          ),
          bottom: 300);
```

## BentoSupportOptions

|Name                   | Type           | Required            | Default Value       | Description         |
|-----------------------|----------------|---------------------|---------------------|---------------------|
|  `key `         | `String`      | true                |  undefined               | 


## Data Dictionary


### Notes Data Dictionary
