import 'dart:io';

import 'package:bento_support_flutter/UI/view/chat/chat_screen.dart';
import 'package:bento_support_flutter/router/route_names.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Routes {
  static Route<void> generateRoute(RouteSettings settings) {
    switch (settings.name) {
      case RouteNames.chatView:
        if (Platform.isIOS) {
          return CupertinoPageRoute(builder: (context) => ChatScreen());
        }
        return MaterialPageRoute(builder: (context) => ChatScreen());
      default:
        if (Platform.isIOS) {
          return CupertinoPageRoute(builder: (context) => ChatScreen());
        }
        return MaterialPageRoute(builder: (context) => ChatScreen());
    }
  }
}
