import 'package:bento_support_flutter/models/organization.model.dart';
import 'package:bento_support_flutter/services/api/api_response.dart';
import 'package:bento_support_flutter/services/api/api_services.dart';

class AuthService {
  static Future<ApiResponse<Organization>> fetchOrganization() {
    return ApiServices.get(
        path: '/organization/widget/details',
        toModel: (dynamic d) =>
            Organization.fromJson(d as Map<String, dynamic>));
  }
}
