class CreateClientDTO {
  final String name;
  final String? email;
  final ClientMeta? meta;
  final String clientReference;
  final String? phoneNumber;

  CreateClientDTO(
      {required this.name,
      this.email,
      this.meta,
      required this.clientReference,
      this.phoneNumber});

  Map<String, dynamic> get toMap => <String, dynamic>{
        'name': name,
        'email': email,
        'meta': meta?.toMap,
        'clientReference': clientReference,
        'phoneNumber': phoneNumber,
      };
}

class ClientMeta {
  final String? companyName;
  final String? companyLogo;

  ClientMeta({this.companyName, this.companyLogo});

  Map<String, dynamic> get toMap => <String, dynamic>{
        'companyName': companyName,
        'companyLogo': companyName,
      };
}
