import 'package:flutter_dotenv/flutter_dotenv.dart';

/// A collection of important environment configurations.
class EnvConfig {
  static DotEnv env = DotEnv()..load();
  static Future<void> initialize(String? iBaseUrl) async {
    if (iBaseUrl != null) {
      baseUrl = iBaseUrl;
      return;
    }
    baseUrl = "https://supportapi.bento.africa/api";
    // await env.load();
    // var mode = env.get('mode', fallback: 'local');
    // await env.load(fileName: '.env.$mode', mergeWith: {'mode': mode});
    // baseUrl = env.get('BASE_URL');
  }

  static String baseUrl = '';

  static String baseApiUrl = '$baseUrl/api';
}
