const String ON_MESSAGE = 'on_message';
const String ROOM_JOINED = 'room.joined';

class SocketService {}

class RoomEventType {
  static const String complaintResolved = 'complaint.resolved';
  static const String complaintRated = 'complain.rated';
  static const String newComplaint = 'complaint.new';
  static const String newMessage = 'new.message';
  static const String joinedRoom = 'room.joined';
  static const String leftRoom = 'room.left';
  static const String messageRead = 'message.read';
  static const String messageDelivered = 'message.delivered';
}

class MessageType {
  static const String newComplaint = 'new.complaint';
  static const String complaintResolved = 'complaint.resolved';
  static const String newMessage = 'new.message';
  static const String complaintRated = 'complaint.rated';
}

class MessageParticipantType {
  static const String client = 'client';
  static const String user = 'user';
}
